Bug 10322 - SVG <svg> does not render when changing the display attribute from "none" to "inline"
Summary: SVG <svg> does not render when changing the display attribute from "none" to ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-09 08:03 PDT by Eric Lim
Modified: 2006-09-13 11:41 PDT (History)
0 users

See Also:


Attachments
simple test case (1.44 KB, image/svg+xml)
2006-08-09 08:05 PDT, Eric Lim
no flags Details
First attempt (13.04 KB, patch)
2006-08-31 11:17 PDT, Rob Buis
eric: review-
Details | Formatted Diff | Diff
Expected Result in PNG (17.65 KB, image/png)
2006-09-07 11:36 PDT, Eric Lim
no flags Details
Comparision between WebKit (9/13/2006) vs IE w/ASV3 (48.85 KB, image/png)
2006-09-13 07:51 PDT, Eric Lim
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Lim 2006-08-09 08:03:30 PDT
I want to interactively decide which <svg> elements to show or hide.  I use javascripts to change the <svg> display attribute.  This works fine in Firefox on a windows platform.

See attached SVG file.
Comment 1 Eric Lim 2006-08-09 08:05:43 PDT
Created attachment 9956 [details]
simple test case
Comment 2 Rob Buis 2006-08-31 11:17:12 PDT
Created attachment 10335 [details]
First attempt

This should fix the bug. I looked at FF on mac and it too could show the svg after
setting display=inline.
Cheers,

Rob.
Comment 3 Maciej Stachowiak 2006-09-02 02:38:11 PDT
Comment on attachment 10335 [details]
First attempt

r=me
Comment 4 Eric Seidel (no email) 2006-09-02 02:48:26 PDT
Comment on attachment 10335 [details]
First attempt

I don't think this is right.  We need to ask hyatt here.
Comment 5 Rob Buis 2006-09-02 03:32:16 PDT
After testing against ToT, it seems to work! I think it is due to r16191 (FOUC fixes).
Cheers,

Rob.
Comment 6 Eric Lim 2006-09-07 11:36:31 PDT
Created attachment 10439 [details]
Expected Result in PNG

This is the expected result.  There are two text strings, "Gain" which lies below the triangle, and "1" which lies inside the triangle.
Comment 7 Eric Lim 2006-09-07 11:38:16 PDT
Not quite there yet.  The "1" text is not rendered.  See the expect results attachments.  I am not sure if this warrants a new bug report...
Comment 8 Eric Seidel (no email) 2006-09-12 23:25:17 PDT
A simpler test case might make this more clear what's wrong here.
Comment 9 Eric Lim 2006-09-13 07:51:52 PDT
Created attachment 10525 [details]
Comparision between WebKit (9/13/2006) vs IE w/ASV3

Look at the attached image.  Notice that the text "1" is missing.  I believe this is a new issue where "clip-path" attribute are not obeyed for <text> elements.  

I believe this bug fixed and I will create a new bug for the <text> clip-path issue.
Comment 10 David Kilzer (:ddkilzer) 2006-09-13 10:59:21 PDT
(In reply to comment #9)
> I believe this bug fixed and I will create a new bug for the <text> clip-path
> issue. 

Eric Lim, please change the resolution of the bug to "FIXED" if this issue is fixed.  Thanks!